#ifndef LANDER_ENTRY
#define LANDER_ENTRY

#include <stdint.h>

typedef enum entry_type { Redirect, Paste, Unknown } EntryType;

typedef struct entry {
  EntryType type;
  char string[];
} Entry;

uint64_t entry_new(Entry **entry_ptr, EntryType type, const char *string);

void entry_free(Entry *entry);

#endif
