#include "entry.h"
#include <stdlib.h>
#include <string.h>

uint64_t entry_new(Entry **entry_ptr, EntryType type, const char *string) {
  size_t str_len = strlen(string);
  uint64_t entry_size = sizeof(EntryType) + str_len + 1;
  Entry *entry = malloc(entry_size);
  entry->type = type;

  memcpy(entry->string, string, str_len + 1);

  *entry_ptr = entry;
  return entry_size;
}

void entry_free(Entry *entry) { free(entry); }
